Networking
Create internal connection
Create an internal connection between an application and another resource (application or database) within the same region. Connections are bidirectional, so only one connection can exist between a given pair of services - creating it again in either direction returns 409.
POST
/
applications
/
{id}
/
internal-connections
Create internal connection
curl --request POST \
--url https://api.sevalla.com/v2/applications/{id}/internal-connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
"target_type": "dbResource"
}
'import requests
url = "https://api.sevalla.com/v2/applications/{id}/internal-connections"
payload = {
"target_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
"target_type": "dbResource"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_id: 'fb5e5168-4281-4bec-94c5-0d1584e9e657', target_type: 'dbResource'})
};
fetch('https://api.sevalla.com/v2/applications/{id}/internal-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "success"
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Path Parameters
Unique identifier for the source application
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"fb5e5168-4281-4bec-94c5-0d1584e9e657"
Body
application/json
Unique identifier for the target resource
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"fb5e5168-4281-4bec-94c5-0d1584e9e657"
Type of the target resource (appResource or dbResource)
Available options:
appResource, dbResource Example:
"dbResource"
Response
Default Response
Result status of the operation
Example:
"success"
Was this page helpful?
⌘I
Create internal connection
